﻿using System;
using System.Runtime.Serialization;
using Kreta.Framework.Localization;
using Kreta.Framework.Logging;

namespace Kreta.Framework
{
    /// <summary>
    /// Sérült adat integritás.
    /// </summary>
    [FriendlyName(1000021, "Sérült adat integritás, kérjük értesítse az üzemeltetőt.\r\nHivatkozási hiba azonosító: {Id}")]
    [ErrorCode(Events.FRAMEWORK_DATAINTEGRITYVIOLATION)]
    [Serializable]
    public class DataIntegrityException : ServerException
    {
        /// <summary>
        /// Az osztály alapértelmezett konstruktora.
        /// </summary>        
        [Obsolete("Ezt a konstruktort ne használd!")]
        public DataIntegrityException() { }

        /// <summary>
        /// Az osztály konstruktora.
        /// </summary>
        /// <param name="message">A kivétel üzenete</param>
        public DataIntegrityException(string message)
            : base(message) { }

        /// <summary>
        /// Az osztály konstruktora.
        /// </summary>
        /// <param name="message">A kivétel üzenete</param>
        /// <param name="innerException">A belső kivétel</param>
        public DataIntegrityException(string message, Exception innerException)
            : base(message, innerException, true) { }

        /// <summary>
        /// Az osztály konstruktora.
        /// </summary>
        /// <param name="info">Sorosítási adatok</param>
        /// <param name="context">Sorosítási adatfolyam</param>
        protected DataIntegrityException(SerializationInfo info, StreamingContext context)
            : base(info, context) { }
    }
}
