﻿using System;
using System.Runtime.Serialization;
using Kreta.Framework.Localization;

namespace Kreta.Framework
{
    /// <summary>
    /// A kiszolgáló nem indítható el.
    /// </summary>
    [FriendlyName(1000002, "Hiba történt a kiszolgáló indítása során. A részleteket lásd a naplóban.")]
    [Serializable]
    public sealed class ServerStartException : ServerException
    {
        /// <summary>
        /// Az osztály konstruktora
        /// </summary>
        public ServerStartException() { }

        /// <summary>
        /// Az osztály konstruktora
        /// </summary>
        /// <param name="message">A kivétel üzenete</param>
        public ServerStartException(string message)
            : base(message) { }

        /// <summary>
        /// Az osztály konstruktora
        /// </summary>
        /// <param name="message">A kivétel üzenete</param>
        /// <param name="innerException">Az előző kivétel, ami történt</param>
        public ServerStartException(string message, Exception innerException)
            : base(message, innerException) { }

        /// <summary>
        /// Az osztály konstruktora
        /// </summary>
        /// <param name="innerException">Az előző kivétel, ami történt</param>
        public ServerStartException(Exception innerException)
            : base("Error occurred during server startup.", innerException) { }

        /// <summary>
        /// Az osztály konstruktora
        /// </summary>
        /// <param name="info">Sorosítási adatok</param>
        /// <param name="context">Környezeti információk</param>
        ServerStartException(SerializationInfo info, StreamingContext context)
            : base(info, context) { }
    }
}
